SDL_DialogFileFilter(3type)

NAME
SDL_DialogFileFilter - An entry for filters for file dialogs.

SYNOPSIS
#include <SDL3/SDL_dialog.h>

typedef struct SDL_DialogFileFilter
{
    const char *name;
    const char *pattern;
} SDL_DialogFileFilter;

DESCRIPTION

name is a user-readable label for the filter (for example, "Office document").

pattern is a semicolon-separated list of file extensions (for example, "doc;docx"). File extensions may only contain alphanumeric characters, hyphens, underscores and periods. Alternatively, the whole string can be a single asterisk ("*"), which serves as an "All files" filter.

AVAILABILITY
This struct is available since SDL 3.2.0.

SEE ALSO
SDL_DialogFileCallback(3type), SDL_ShowOpenFileDialog(3), SDL_ShowSaveFileDialog(3), SDL_ShowOpenFolderDialog(3), SDL_ShowFileDialogWithProperties(3)